app.factory('configuracaoFactory', function ($http) {
    var url = '../api/configuracao/';
    var url_ano = '../api/ano';
    return {
        getEscola: function () {
            return $http.get(url);
        },
        
       
        updateEscola: function (escola) {

            return $http.put(url + escola.Pk_Configuaracao, escola);
        },

        getAnos: function () {
            return $http.get(url_ano);
        },

        encerrarAno: function (info) {

            return $http.put('../api/ano/encerrar/' + info.Pk_Ano, info);
        },

        ativarAno: function (info) {

            return $http.put('../api/ano/ativar/' + info.Pk_Ano, info);
        },

        addAno: function (ano) {


            return $http({
                cache: false,
                url: url_ano,
                method: "POST",
                data: ano,

            })
        },

        getAnoSel: function () {
            return $http.get('../api/ano/ativo');
        },

    };
});